---

#! jobs/perf-sanity-tests.yaml
suite: perf-sanity-tests
testcase: perf-sanity-tests
category: functional
need_memory: 2G
perf-sanity-tests:
  perf_compiler: gcc
job_origin: perf-sanity-tests.yaml
arch: x86_64

#! include/category/functional
kmsg:
heartbeat:
meminfo:
kmemleak:

#! include/category/ALL
sanity-check:

#! include/perf-sanity-tests
initrds:
- linux_perf

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-skl-d02
tbox_group: lkp-skl-d02
branch: linux-next/master
commit: 658a8805cb604260ae9f35ae5e50012e3d1ed5e3
job_file: "/lkp/jobs/scheduled/lkp-skl-d02/perf-sanity-tests-gcc-debian-12-x86_64-20240206.cgz-658a8805cb60-20240614-36988-19j1mca-0.yaml"
id: d1eaabeb35b9b2ae7a3881fb2b2cf2d9ee953571
queuer_version: "/zday/lkp"

#! /db/releases/20240613093520/lkp-src/hosts/lkp-skl-d02
model: Skylake
nr_cpu: 4
memory: 32G
nr_ssd_partitions: 1
nr_hdd_partitions: 4
hdd_partitions: "/dev/disk/by-id/wwn-0x5000c500746fa0cc-part*"
ssd_partitions: "/dev/disk/by-id/wwn-0x55cd2e41514d5105-part2"
rootfs_partition: "/dev/disk/by-id/wwn-0x55cd2e41514d5105-part1"
brand: Intel(R) Core(TM) i5-6500 CPU @ 3.20GHz

#! /db/releases/20240613093520/lkp-src/include/category/functional

#! /db/releases/20240613093520/lkp-src/include/category/ALL

#! /db/releases/20240613093520/lkp-src/include/perf-sanity-tests

#! /db/releases/20240613093520/lkp-src/include/testbox/lkp-skl-d02
need_kconfig_hw:
- PTP_1588_CLOCK: y
- E1000E: y
- SATA_AHCI
- DRM_I915
ucode: '0xf0'
rootfs: debian-12-x86_64-20240206.cgz
kconfig: x86_64-rhel-8.3-bpf
enqueue_time: 2024-06-14 22:26:54.275755550 +08:00
compiler: gcc-13
_rt: "/result/perf-sanity-tests/gcc/lkp-skl-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-bpf/gcc-13/658a8805cb604260ae9f35ae5e50012e3d1ed5e3"

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/src"
max_uptime: 1200
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/perf-sanity-tests/gcc/lkp-skl-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-bpf/gcc-13/658a8805cb604260ae9f35ae5e50012e3d1ed5e3/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-bpf/gcc-13/658a8805cb604260ae9f35ae5e50012e3d1ed5e3/vmlinuz-6.10.0-rc1-00022-g658a8805cb60
- branch=linux-next/master
- job=/lkp/jobs/scheduled/lkp-skl-d02/perf-sanity-tests-gcc-debian-12-x86_64-20240206.cgz-658a8805cb60-20240614-36988-19j1mca-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-bpf
- commit=658a8805cb604260ae9f35ae5e50012e3d1ed5e3
- nmi_watchdog=0
- intremap=posted_msi
- max_uptime=1200
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-13/658a8805cb604260ae9f35ae5e50012e3d1ed5e3/modules.cgz"
linux_perf_initrd: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-13/658a8805cb604260ae9f35ae5e50012e3d1ed5e3/linux-perf.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20240303.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-04b8076df253-1_20240303.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: lkp-wsx01

#! /db/releases/20240613112436/lkp-src/include/site/lkp-wsx01
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-skl-d02/perf-sanity-tests-gcc-debian-12-x86_64-20240206.cgz-658a8805cb60-20240614-36988-19j1mca-0.cgz"
last_kernel: 6.10.0-rc3-next-20240611-wt-ath-13939-g30dcc07597b2
acpi_rsdp: '0x000f05b0'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-13/658a8805cb604260ae9f35ae5e50012e3d1ed5e3/vmlinuz-6.10.0-rc1-00022-g658a8805cb60"
result_root: "/result/perf-sanity-tests/gcc/lkp-skl-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-bpf/gcc-13/658a8805cb604260ae9f35ae5e50012e3d1ed5e3/0"

#! /db/releases/20240614201500/lkp-src/include/site/lkp-wsx01
dequeue_time: 2024-06-15 02:48:55.028649208 +08:00
job_state: finished
loadavg: 0.84 0.99 0.73 2/138 119303
start_time: '1718391040'
end_time: '1718391826'
version: "/lkp/lkp/.src-20240614-174815:17ed63c6889a:7b2ea33239c4"
